<?
/*
 * dsyslog - a dumb syslog (e.g. syslog for people who have a clue)
 * Copyright (c) 2008 William Pitcock <nenolod@sacredspiral.co.uk>
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice is present in all copies.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

include("config.php");

/* open MySQL connection */
$sql = mysql_connect($dbhost, $dbuser, $dbpass) or die("Database failure");
mysql_select_db($dbname);

/* This code exists to make porting to PostgreSQL later an easier task. */
function get_db_rows($query)
{
	$result = mysql_query($query) or die("Query failed: " . mysql_error());
	return $result;
}

function get_db_tuple($result)
{
	return mysql_fetch_array($result, MYSQL_BOTH);
}

function mysql_escape($string)
{
	return mysql_escape_string($string);
}

function divboxstart($title, $bgcolour="#efefef", $fgcolour="#999999") {
?>
<div style="background-color: <?= $bgcolour ?>; border: 1px solid <?= $fgcolour ?>; margin: 0.2em; padding: 0.5em;">
<strong><?= $title ?></strong><br>
<?
}

function divboxend() {
?>
</div>
<?
}

function divbox($title, $text, $bgcolour="#f5faff", $fgcolour="#cedff2") {
	divboxstart($title, $bgcolour, $fgcolour);
	echo $text;
	divboxend();
}

?>
